clear all
clc

load('../initdata')
load('trNL3030s26515bar.mat')
load('trNL3030s26615bar.mat')
load('trNL3030s26715bar.mat')
load('trNL3030s26815bar.mat')
load('trNL3030s26915bar.mat')
load('../SteadyState/ssD400')

t = t_trNL3030s26715bar;
N = length(t);
t_step = (N-1)/ceil(max(t));


p_well = [p_trNL3030s26515bar(1,:)*1E-5; ...
    p_trNL3030s26615bar(1,:)*1E-5; ...
    p_trNL3030s26715bar(1,:)*1E-5; ...
    p_trNL3030s26815bar(1,:)*1E-5; ...
    p_trNL3030s26915bar(1,:)*1E-5];
p_head = [p_trNL3030s26515bar(2,:)*1E-5; ...
    p_trNL3030s26615bar(2,:)*1E-5; ...
    p_trNL3030s26715bar(2,:)*1E-5; ...
    p_trNL3030s26815bar(2,:)*1E-5; ...
    p_trNL3030s26915bar(2,:)*1E-5];
p_top  = [p_trNL3030s26515bar(4,:)*1E-5; ...
    p_trNL3030s26615bar(4,:)*1E-5; ...
    p_trNL3030s26715bar(4,:)*1E-5; ...
    p_trNL3030s26815bar(4,:)*1E-5; ...
    p_trNL3030s26915bar(4,:)*1E-5];


V_well = [V_trNL3030s26515bar(1,:); ...
    V_trNL3030s26615bar(1,:); ...
    V_trNL3030s26715bar(1,:); ...
    V_trNL3030s26815bar(1,:); ...
    V_trNL3030s26915bar(1,:)];
V_head = [V_trNL3030s26515bar(2,:); ...
    V_trNL3030s26615bar(2,:); ...
    V_trNL3030s26715bar(2,:); ...
    V_trNL3030s26815bar(2,:); ...
    V_trNL3030s26915bar(2,:)];
V_top  = [V_trNL3030s26515bar(4,:); ...
    V_trNL3030s26615bar(4,:); ...
    V_trNL3030s26715bar(4,:); ...
    V_trNL3030s26815bar(4,:); ...
    V_trNL3030s26915bar(4,:)];


Q_0_well = [Q_0_trNL3030s26515bar(1,:); ...
    Q_0_trNL3030s26615bar(1,:); ...
    Q_0_trNL3030s26715bar(1,:); ...
    Q_0_trNL3030s26815bar(1,:); ...
    Q_0_trNL3030s26915bar(1,:)];
Q_0_head = [Q_0_trNL3030s26515bar(2,:); ...
    Q_0_trNL3030s26615bar(2,:); ...
    Q_0_trNL3030s26715bar(2,:); ...
    Q_0_trNL3030s26815bar(2,:); ...
    Q_0_trNL3030s26915bar(2,:)];
Q_0_top  = [Q_0_trNL3030s26515bar(4,:); ...
    Q_0_trNL3030s26615bar(4,:); ...
    Q_0_trNL3030s26715bar(4,:); ...
    Q_0_trNL3030s26815bar(4,:); ...
    Q_0_trNL3030s26915bar(4,:)];

i = 0;
for valvep = 26.5:.1:26.9
    i = i+1;
    disp(['Case ' num2str(i)])
    disp(['p_valve = ' num2str(valvep) ' bar'])
    
    
    
    disp(' ')
    for j = 0:10:40
        disp(['p_well, ' num2str(j) ' s = ' num2str(p_well(i,1+t_step*j)) ' bar'])
    end
    disp(' ')
    for j = 0:10:40
        disp(['p_head, ' num2str(j) ' s = ' num2str(p_head(i,1+t_step*j)) ' bar'])
    end
    disp(' ')
    for j = 0:10:40
        disp(['p_top, ' num2str(j) ' s = ' num2str(p_top(i,1+t_step*j)) ' bar'])
    end
    disp(' ')
    
    
    
    disp(' ')
    for j = 0:10:40
        disp(['V_well, ' num2str(j) ' s = ' num2str(V_well(i,1+t_step*j)) ' m/s'])
    end
    [V_well_max I] = max(V_well(i,:));
    disp(['max(V_well) = ' num2str(V_well_max) ' @ t = ' num2str(t(I)) ' s'])
    disp(' ')
    for j = 0:10:40
        disp(['V_head, ' num2str(j) ' s = ' num2str(V_head(i,1+t_step*j)) ' m/s'])
    end
    [V_head_max I] = max(V_head(i,:));
    disp(['max(V_head) = ' num2str(V_head_max) ' @ t = ' num2str(t(I)) ' s'])
    disp(' ')
    for j = 0:10:40
        disp(['V_top, ' num2str(j) ' s = ' num2str(V_top(i,1+t_step*j)) ' m/s'])
    end
    [V_top_max I] = max(V_top(i,:));
    disp(['max(V_top) = ' num2str(V_top_max) ' @ t = ' num2str(t(I)) ' s'])
    disp(' ')
    
    
    
    disp(' ')
    for j = 0:10:40
        disp(['Q_0_well, ' num2str(j) ' s = ' num2str(Q_0_well(i,1+t_step*j)) ' m^3/s'])
    end
    disp(' ')
    for j = 0:10:40
        disp(['Q_0_head, ' num2str(j) ' s = ' num2str(Q_0_head(i,1+t_step*j)) ' m^3/s'])
    end
    disp(' ')
    for j = 0:10:40
        disp(['Q_0_top, ' num2str(j) ' s = ' num2str(Q_0_top(i,1+t_step*j)) ' m^3/s'])
    end
    disp(' ')
    
    
    
    disp(' ')
end

figure(1)
clf
subplot(2,1,1)
hold on
plot(t_trNL3030s26515bar(1,:),V_trNL3030s26515bar(2,:),'k:','LineWidth',1)
plot(t_trNL3030s26615bar(1,:),V_trNL3030s26615bar(2,:),'k-.','LineWidth',1)
plot(t_trNL3030s26715bar(1,:),V_trNL3030s26715bar(2,:),'k--','LineWidth',1)
plot(t_trNL3030s26815bar(1,:),V_trNL3030s26815bar(2,:),'k','LineWidth',1)
plot(t_trNL3030s26915bar(1,:),V_trNL3030s26915bar(2,:),'k:','LineWidth',2)
hold off
title('Head velocities at different valve times')
xlabel('Time [s]')
ylabel('V_{head} [m/s]')
legend('p_{valve} = 26.5 bar', ...
    'p_{valve} = 26.6 bar', ...
    'p_{valve} = 26.7 bar', ...
    'p_{valve} = 26.8 bar', ...
    'p_{valve} = 26.9 bar', ...
    'location','NorthWest')

subplot(2,1,2)
hold on
plot(t_trNL3030s26515bar(1,:),V_trNL3030s26515bar(4,:),'k:','LineWidth',1)
plot(t_trNL3030s26615bar(1,:),V_trNL3030s26615bar(4,:),'k-.','LineWidth',1)
plot(t_trNL3030s26715bar(1,:),V_trNL3030s26715bar(4,:),'k--','LineWidth',1)
plot(t_trNL3030s26815bar(1,:),V_trNL3030s26815bar(4,:),'k','LineWidth',1)
plot(t_trNL3030s26915bar(1,:),V_trNL3030s26915bar(4,:),'k:','LineWidth',2)
hold off
title('Top velocities at different valve times')
xlabel('Time [s]')
ylabel('V_{top} [m/s]')

print -depsc2 ../plots/V_NonLinearAdjustment

figure(2)
clf
subplot(2,1,1)
hold on
plot(t_trNL3030s26515bar(1,:),p_trNL3030s26515bar(2,:)*1E-5,'k:','LineWidth',1)
plot(t_trNL3030s26615bar(1,:),p_trNL3030s26615bar(2,:)*1E-5,'k-.','LineWidth',1)
plot(t_trNL3030s26715bar(1,:),p_trNL3030s26715bar(2,:)*1E-5,'k--','LineWidth',1)
plot(t_trNL3030s26815bar(1,:),p_trNL3030s26815bar(2,:)*1E-5,'k','LineWidth',1)
plot(t_trNL3030s26915bar(1,:),p_trNL3030s26915bar(2,:)*1E-5,'k:','LineWidth',2)
hold off
title('Head pressures at different valve times')
xlabel('Time [s]')
ylabel('p_{head} [bara]')

subplot(2,1,2)
hold on
plot(t_trNL3030s26515bar(1,:),p_trNL3030s26515bar(4,:)*1E-5,'k:','LineWidth',1)
plot(t_trNL3030s26615bar(1,:),p_trNL3030s26615bar(4,:)*1E-5,'k-.','LineWidth',1)
plot(t_trNL3030s26715bar(1,:),p_trNL3030s26715bar(4,:)*1E-5,'k--','LineWidth',1)
plot(t_trNL3030s26815bar(1,:),p_trNL3030s26815bar(4,:)*1E-5,'k','LineWidth',1)
plot(t_trNL3030s26915bar(1,:),p_trNL3030s26915bar(4,:)*1E-5,'k:','LineWidth',2)
hold off
title('Top pressures at different valve times')
xlabel('Time [s]')
ylabel('p_{top} [bara]')
legend('p_{valve} = 26.5 bar', ...
    'p_{valve} = 26.6 bar', ...
    'p_{valve} = 26.7 bar', ...
    'p_{valve} = 26.8 bar', ...
    'p_{valve} = 26.9 bar', ...
    'location','NorthEast')

print -depsc2 ../plots/p_NonLinearAdjustment