function [rho p] = rho_p_init(H)

% 0----------------------------------------------------------------------0
% | Function rho_p_init                                                  |
% | Used to find initial values for p and rho if V=0.                    |
% |                                                                      |
% | Coded by:                                                            |
% |     Stud. Techn. Eivind Vrlstad,                                    |
% |     Institutt for Energi- og prosessteknikk, NTNU, 2011              |
% 0----------------------------------------------------------------------0

global tol maxit searho_0 g oilrho_0 oilp_0 oilK_0

%Calculating values for rho with constant density
p_bottom = searho_0*g*H(1,1) + oilp_0;

p_new = p_bottom - g*oilrho_0*(H(1,1)-H);

err = inf;
it = 0;

while err>tol && it<maxit
    p_old = p_new;
    
    p_new = p_bottom - oilrho_0*g*(H(1,1)-H).*exp(1/oilK_0*(p_old-oilp_0));
    
    err = norm((p_old-p_new).^2);
    it = it+1;
end

p = p_new;
rho = oilrho_0*exp(1/oilK_0*(p-oilp_0));

end
