% 0----------------------------------------------------------------------0
% | Program storeinitdata.m                                              |
% | Used to store various constants used by the other MATLAB programs.   |
% | Saves results in:                                                    |
% |     initdata.mat                                                     |
% |                                                                      |
% | Coded by:                                                            |
% |     Stud. Techn. Eivind Vrlstad,                                    |
% |     Institutt for Energi- og prosessteknikk, NTNU, 2011              |
% 0----------------------------------------------------------------------0

clear all
clc

% General constants
g = 9.80665;

% Grid
M = 2000;

% Oil
oilrho_0 = 840;
oilp_0 = 101.3E3;
oila_0 = 1315;
oilK_0 = 1.45E9;
oilmu_0 = .07;



% Sea water
searho_0 = 1025;
seaa_0 = 1535;
seaK_0 = 2.42E9;
seamu_0 = 1E-3;



% Riser
riserH = 1500;



% Well
wellL = 1000;
wellH = 1500;



% Steel
steelE = 207.0E9;   % Pa
steeleps = 2E-3;    % m
steelmbyL = 123.3;  % kg/m
steele = 12.7E-3;   % m



% Saves results in initdata.mat
save('initdata', ...
    'oilrho_0','oilK_0','oila_0','oilmu_0','oilp_0', ...
    'searho_0','seaK_0','seaa_0','seamu_0', ...
    'riserH', ...
    'wellH','wellL', ...
    'steelE','steeleps','steelmbyL','steele', ...
    'M','g')

disp('Fluid data stored')

